#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './thinkeramikconfig.ui'
**
** Created: Sat Oct 28 16:45:05 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "thinkeramikconfig.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ThinKeramikConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ThinKeramikConfigUI::ThinKeramikConfigUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ThinKeramikConfigUI" );
    ThinKeramikConfigUILayout = new QVBoxLayout( this, 0, 6, "ThinKeramikConfigUILayout"); 

    decorationBox = new QGroupBox( this, "decorationBox" );
    decorationBox->setColumnLayout(0, Qt::Vertical );
    decorationBox->layout()->setSpacing( 6 );
    decorationBox->layout()->setMargin( 11 );
    decorationBoxLayout = new QHBoxLayout( decorationBox->layout() );
    decorationBoxLayout->setAlignment( Qt::AlignTop );

    Layout4 = new QVBoxLayout( 0, 0, 6, "Layout4"); 

    showAppIcons = new QCheckBox( decorationBox, "showAppIcons" );
    Layout4->addWidget( showAppIcons );

    captionType = new QButtonGroup( decorationBox, "captionType" );
    captionType->setColumnLayout(0, Qt::Vertical );
    captionType->layout()->setSpacing( 6 );
    captionType->layout()->setMargin( 11 );
    captionTypeLayout = new QHBoxLayout( captionType->layout() );
    captionTypeLayout->setAlignment( Qt::AlignTop );

    normal = new QRadioButton( captionType, "normal" );
    captionTypeLayout->addWidget( normal );

    small = new QRadioButton( captionType, "small" );
    captionTypeLayout->addWidget( small );

    none = new QRadioButton( captionType, "none" );
    captionTypeLayout->addWidget( none );
    Layout4->addWidget( captionType );

    useShadowedText = new QCheckBox( decorationBox, "useShadowedText" );
    Layout4->addWidget( useShadowedText );

    buttonType = new QButtonGroup( decorationBox, "buttonType" );
    buttonType->setColumnLayout(0, Qt::Vertical );
    buttonType->layout()->setSpacing( 6 );
    buttonType->layout()->setMargin( 11 );
    buttonTypeLayout = new QHBoxLayout( buttonType->layout() );
    buttonTypeLayout->setAlignment( Qt::AlignTop );

    NormalButton = new QRadioButton( buttonType, "NormalButton" );
    buttonTypeLayout->addWidget( NormalButton );

    EdgedButton = new QRadioButton( buttonType, "EdgedButton" );
    buttonTypeLayout->addWidget( EdgedButton );

    NoBackground = new QRadioButton( buttonType, "NoBackground" );
    buttonTypeLayout->addWidget( NoBackground );
    Layout4->addWidget( buttonType );

    drawTtlBdr = new QCheckBox( decorationBox, "drawTtlBdr" );
    Layout4->addWidget( drawTtlBdr );

    useTBColor = new QCheckBox( decorationBox, "useTBColor" );
    Layout4->addWidget( useTBColor );
    decorationBoxLayout->addLayout( Layout4 );
    ThinKeramikConfigUILayout->addWidget( decorationBox );
    languageChange();
    resize( QSize(470, 333).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ThinKeramikConfigUI::~ThinKeramikConfigUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ThinKeramikConfigUI::languageChange()
{
    setCaption( tr2i18n( "ThinKeramik" ) );
    decorationBox->setTitle( tr2i18n( "Decoration Settings" ) );
    showAppIcons->setText( tr2i18n( "Display the window &icon in the caption bubble" ) );
    QWhatsThis::add( showAppIcons, tr2i18n( "Check this option if you want the window icon to be displayed in the caption bubble next to the titlebar text." ) );
    captionType->setTitle( tr2i18n( "Caption Bubble Type" ) );
    normal->setText( tr2i18n( "Normal" ) );
    small->setText( tr2i18n( "Small" ) );
    none->setText( tr2i18n( "No Caption Bubble" ) );
    useShadowedText->setText( tr2i18n( "Use shadowed &text" ) );
    QWhatsThis::add( useShadowedText, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
    buttonType->setTitle( tr2i18n( "Button Type" ) );
    NormalButton->setText( tr2i18n( "Normal" ) );
    EdgedButton->setText( tr2i18n( "Edged" ) );
    NoBackground->setText( tr2i18n( "No Background" ) );
    drawTtlBdr->setText( tr2i18n( "Draw titlebar border" ) );
    QWhatsThis::add( drawTtlBdr, tr2i18n( "Check this option if you want draw titlebar border." ) );
    useTBColor->setText( tr2i18n( "Use title blend color for coloration of window borders." ) );
    QWhatsThis::add( useTBColor, tr2i18n( "Check this option if you want use title blend color for coloration of window borders." ) );
}

#include "thinkeramikconfig.moc"
